Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • May 16 2015 16:59
    olasitarska commented #362
  • May 16 2015 16:59

    olasitarska on master

    Making post_detail.html more co… Merge pull request #362 from ve… (compare)

  • May 16 2015 16:59
    olasitarska closed #362
  • May 16 2015 16:57
    kvbik commented #362
  • May 16 2015 16:51
    veuu opened #362
  • May 16 2015 15:20
    hjwp commented #361
  • May 16 2015 15:16
    hjwp synchronize #361
  • May 16 2015 15:15
    hjwp synchronize #361
  • May 16 2015 15:12
    bmispelon commented #361
  • May 16 2015 15:08
    hjwp opened #361
  • May 16 2015 14:58
    bmispelon opened #360
  • May 16 2015 13:15
    bmispelon commented #359
  • May 16 2015 13:15

    bmispelon on master

    Provide alternative runserver c… Merge pull request #359 from Al… (compare)

  • May 16 2015 13:15
    bmispelon closed #359
  • May 16 2015 13:14
    keimlink commented #359
  • May 16 2015 13:13
    olasitarska commented #359
  • May 16 2015 13:09
    bmispelon commented #359
  • May 16 2015 11:53
    Almad opened #359
  • May 15 2015 20:00
    bmispelon commented #358
  • May 15 2015 19:59

    bmispelon on master

    fixing broken github link Merge pull request #358 from gs… (compare)

Goldarnitt
@Goldarnitt
hello! could you please help, I cannot activate virtual environment. It says that there is no such file or directory after I prompt source myvenv/bin/activate (I am using mac)
solved! sorry
Ranjan
@Ranjan0007
my django project is not working whenever i type python3 manage.py runserver its not working i'm stuck
django server is not running
ChristianTheProgrammer
@ChristianTheProgrammer
Hey ya

Hey ya'll, I'm running into an issue on the bottom of the Deploy section when trying to import my files from Github I keep getting this error: __
/ \
| Pip installing -r /home/ChristianTheProgrammer/christiantheprogrammer. |
| pythonanywhere.com/requirements.txt (this may take a couple of |
| minutes) |

\ /

\
~<:>>>>>>>>>
ERROR: Invalid requirement: 'DJango~=3.2.10ls' (from line 1 of /home/ChristianTheProgrammer/christiantheprogrammer.pythonanywhere.com/requirements.txt)

Any info on what this could be would be really helpful!
Raphael Das Gupta
@das-g
@ChristianTheProgrammer The ls probably doesn't belong in the Django version specification in requirements.txt.
ChristianTheProgrammer
@ChristianTheProgrammer
Yeah that was the issue! I guess I should read the error huh? Thanks @das-g !
Raphael Das Gupta
@das-g
While that doesn't always help, reading the error message is a good start, indeed. :grin:
Lespro
@Lespro
Hello, when I entered command $ pa_autoconfigure_django.py https://github.com/<myGitHub>/my-first-blog.git, I see that "remote: Support for password authentication was removed on August 13, 2021.". How I can make authentication? Sorry for my bad English
16:09 ~ $ pa_autoconfigure_django.py https://github.com/Lespro/my-first-blog.git
< Running API sanity checks >
\
~<:>>>>>>>>>
Cloning into '/home/Lespro/lespro.pythonanywhere.com'...
Username for 'https://github.com': Lespro
Password for 'https://Lespro@github.com':
remote: Support for password authentication was removed on August 13, 2021.
remote: Please see https://docs.github.com/en/get-started/getting-started-with-git/about-remote-repositories#cloning-with-https-urls for information on currently recom
mended modes of authentication.
fatal: Authentication failed for 'https://github.com/Lespro/my-first-blog.git/'
Traceback (most recent call last):
File "/home/Lespro/.local/bin/pa_autoconfigure_django.py", line 54, in <module>
nuke=arguments.get('--nuke')
File "/home/Lespro/.local/bin/pa_autoconfigure_django.py", line 31, in main
project.download_repo(repo_url, nuke=nuke),
File "/home/Lespro/.local/lib/python3.6/site-packages/pythonanywhere/django_project.py", line 20, in download_repo
subprocess.check_call(['git', 'clone', repo, str(self.project_path)])
File "/usr/local/lib/python3.6/subprocess.py", line 311, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['git', 'clone', 'https://github.com/Lespro/my-first-blog.git', '/home/Lespro/lespro.pythonanywhere.com']' returned non-zero ex
it status 128.
16:12 ~ $
Raphael Das Gupta
@das-g
You'll probably have to create an access token and use that. See #1739.
Or opt for cloning over SSH (requires setting up SSH keys). Whichever seems more approachable to you.
Neshkolnic
@Neshkolnic
cd ~/<your-pythonanywhere-domain>.pythonanywhere.com what i need to type in <>?
Raphael Das Gupta
@das-g

@Neshkolnic probably your pythonanywhere account name. Try

ls ~

to see the exact name of the directory.

Dennis Stephens
@dennis1125stephens_gitlab

Hello @everyone!
As a web developer with 6 years of full stack experience, I would like to set up a new job opportunity for myself, who has led several projects to success and received good reviews from many clients.

This is my website: https://dennis-stephens.vercel.app
You can check my experiences, projects with my name in team section, several certifications and Linkedin recommendations here.

It can be said that the strengths that I can see are the simultaneous guarantee of project speed and quality, accurate time management, and sincerity.

If you are currently in need of a new developer for your team, want to bring up a new startup, or need a freelancer, please check my website and feel free to send me a message.

cesararismendiz
@cesararismendiz
Hi, I need help please, I want to execute this sentence D:\djangogirls>git push -u origin master I get this error
error: src refspec master does not match any
error: failed to push some refs to 'https://github.com/cesararismendiz/my-first-blog.git'
Raphael Das Gupta
@das-g
Uh, @dennis1125stephens_gitlab, are you aware what this Gitter room is about?
@cesararismendiz Try to see what the names of your Git branches are with
git branch
Probably your main branch is called main rather than master. If so, replace master with main in that command and try it again.
cesararismendiz
@cesararismendiz
thanks, problem solved
motu4135
@motu4135
a
directfairways
@directfairways
Hello, does anyone know where I can find the completed code? It would also help a ton to view the completed code for the tutorial extensions too.
Raphael Das Gupta
@das-g
I don't think we maintain a public copy of the code resulting from the tutorial, @directfairways.
yuto1009
@yuto1009

Hello, thanks for this place.
I am on "Your first Django project!" and I am at the part where I type 'python manage.py migrate'
in console. I am in the 'djangogirls' directory and the prefix says 'myenv' , but when I type 'python manage.py migrate', the console says this
Traceback (most recent call last):
File "/Users/yutoendo/djangogirls/manage.py", line 11, in main
from django.core.management import execute_from_command_line
ModuleNotFoundError: No module named 'django'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/Users/yutoendo/djangogirls/manage.py", line 22, in <module>
main()
File "/Users/yutoendo/djangogirls/manage.py", line 13, in main
raise ImportError(
ImportError: Couldn't import Django. Are you sure it's installed and available on your PYTHONPATH environment variable? Did you forget to activate a virtual environment?

I don't know what to do to fix this, and I need help please.

Raphael Das Gupta
@das-g

Did you create the file requirements.txt with content

Django~=3.2.10

and did you afterwards run pip install -r requirements.txt (see Django installation → Installing packages with requirements), @yuto1009?

yuto1009
@yuto1009
Thank you for reply.
I am pretty sure I did that. my requirements.txt says exact same thing and I followed exactly same step as the tutorial.
I also had the same problem when following other Youtuber's tutorial, and I was stuck in exact same step.
das-g
@das-g:matrix.org
[m]
Did you get any error messages in any of these steps?
yuto1009
@yuto1009
I did all those things yesterday, and I am not sure about that
But I don't remember having problem
Raphael Das Gupta
@das-g
What you can try:
  1. deactivate the virtualenv with deactivate
  2. delete the virtualenv directory with rm myvenv -r
  3. re-create the virtualenv and install Django in that new virtualenv by repeating the steps in https://tutorial.djangogirls.org/en/django_installation/#virtual-environment (without the mkdir djangogirls and cd djangogirls, as you'll keep the project directory.)
yuto1009
@yuto1009
Thanks I'll try!
yuto1009
@yuto1009
I am revisiting the steps.
When I type django-admin startproject mysite . in the shell,
it says
CommandError: /Users/yutoendo/djangogirls/manage.py already exists. Overlaying a project into an existing directory won't replace conflicting files.
Can I ignore this message?
Raphael Das Gupta
@das-g
You can probably just skip that step. But that error message indicates that Django is now functioning, so the re-installing probably worked.
You should now be able to continue where you left off.
yuto1009
@yuto1009
ok, I typed python manage.py migrate in the console again.
I checked the prefix says myvenv,
and yet, it shows the same error message.

(myvenv) (base) endouyuutos-MacBook-Pro:djangogirls yutoendo$ python manage.py migrate
Traceback (most recent call last):
File "/Users/yutoendo/djangogirls/manage.py", line 11, in main
from django.core.management import execute_from_command_line
ModuleNotFoundError: No module named 'django'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/Users/yutoendo/djangogirls/manage.py", line 22, in <module>
main()
File "/Users/yutoendo/djangogirls/manage.py", line 13, in main
raise ImportError(
ImportError: Couldn't import Django. Are you sure it's installed and available on your PYTHONPATH environment variable? Did you forget to activate a virtual environment?

das-g
@das-g:matrix.org
[m]
Strange.
One option is of course to start anew in a fresh directory from https://tutorial.djangogirls.org/en/django_installation/ on.
But I have no idea what might be wrong to cause that error message.
yuto1009
@yuto1009

Since it's not the first time I face this error, and same thing happened in other tutorial,
I expect to have the same problem even if I start fresh.

BUT, I'am going to start fresh for the last time.
Thank you anyway for having this amazing tutorial and chat space!
see you if I made it lol

Bibek Joshi
@bibekjoshi01
do anybody have guide, how to create add to cart functionality in Django template
Zuha99999
@Zuha99999
while creating 'my first project' and changing settings in mysite/settings.py, I entered in the time zone'islamabad/karachi. I had no errors until I got to the 'django admin' part of the tutorial, when I try to to run the web server, I get this error. [16/Jan/2023 17:08:29] "GET /static/admin/css/fonts.css HTTP/1.1" 304 0
[16/Jan/2023 17:08:30] "GET /static/admin/fonts/Roboto-Regular-webfont.woff HTTP/1.1" 200 85876
[16/Jan/2023 17:08:30] "GET /static/admin/fonts/Roboto-Bold-webfont.woff HTTP/1.1" 200 86184
[16/Jan/2023 17:08:30] "GET /static/admin/fonts/Roboto-Light-webfont.woff HTTP/1.1" 200 85692
Traceback (most recent call last):
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\core\handlers\exception.py", line 47, in inner
response = get_response(request)
^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\core\handlers\base.py", line 204, in _get_response
response = response.render()
^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\response.py", line 105, in render
self.content = self.rendered_content
^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\response.py", line 83, in rendered_content
return template.render(context, self._request)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\backends\django.py", line 61, in render
return self.template.render(context)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\base.py", line 170, in render
return self._render(context)
^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\base.py", line 162, in _render
return self.nodelist.render(context)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\base.py", line 938, in render
bit = node.render_annotated(context)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\base.py", line 905, in render_annotated
return self.render(context)
^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\loader_tags.py", line 150, in render
return compiled_parent._render(context)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\base.py", line 162, in _render
return self.nodelist.render(context)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\base.py", line 938, in render
bit = node.render_annotated(context)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\base.py", line 905, in render_annotated
return self.render(context)
^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\loader_tags.py", line 150, in render
return compiled_parent._render(context)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\base.py", line 162, in _render
return self.nodelist.render(context)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\base.py", line 938, in render
bit = node.render_annotated(context)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\Surface Pro\Desktop\djangogirls\myvenv\Lib\site-packages\django\template\base.py", line 905, in render_annotated
return self.render(context)
^^^^^^^^
I went back to settings.py and changed to the correct timezone 'asia/karachi'. and I still get this error
stackstream
@stack_stream_twitter
Hi There
Mayokun Adeoti
@sbosonline

Hi fam, please is there a link to download Django Girls Tutorials in PDF? Would be grateful for it.

Thanks in advance.

Raphael Das Gupta
@das-g
I don't think we currently provide a PDF, but you could either build one yourself from the contents of https://github.com/DjangoGirls/tutorial/blob/master/.github/workflows/deploy.yml using honkit, or you could file a feature request (as an issue) or GitHub action code change (as a pull request) for djangogirls.org to provide one.
Mel Evans✝️
@chris_eong_twitter
hello,everyone